Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.torque.om
Class ComboKeyTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.apache.torque.om.ComboKeyTest

All Implemented Interfaces:
  junit.framework.Test

    public class ComboKeyTest

extends junit.framework.TestCase

TestCase for ComboKey

Version:
  $Id: ComboKeyTest.java 473821 2006-11-11 22:37:25Z tv $
Author:
  J. Russell Smyth

Constructor Summary
`ComboKeyTest(String name)` Simple constructor.

Method Summary
`static void` | `main(String[] args)`
`static junit.framework.Test` | `suite()`
`void` | `testAppendTo()` Test of appendTo method, of class org.apache.torque.om.ComboKey.
`void` | `testNotEqual()`
`void` | `testNull()`
`void` | `testReflexive()`
`void` | `testRoundTripWithComplexKey()`
`void` | `testRoundTripWithNullKey()`
`void` | `testRoundTripWithStringKeys()`
`void` | `testSymmetric()`
`void` | `testToString()` Test of toString method, of class org.apache.torque.om.ComboKey.

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ComboKeyTest

    public ComboKeyTest(String name)

  Simple constructor.

  Parameters:
    `name` - the name of the test to execute

Method Detail

### main

    public static void main(String[] args)

  Parameters:
    `args` -

### suite

    public static junit.framework.Test suite()

  Returns:
    Test

### testReflexive

    public void testReflexive()

### testSymmetric

    public void testSymmetric()

### testNull

    public void testNull()

### testNotEqual

    public void testNotEqual()

### testRoundTripWithStringKeys

    public void testRoundTripWithStringKeys()

### testRoundTripWithComplexKey

    public void testRoundTripWithComplexKey()

### testRoundTripWithNullKey

    public void testRoundTripWithNullKey()

### testAppendTo

    public void testAppendTo()

  Test of appendTo method, of class org.apache.torque.om.ComboKey.

### testToString

    public void testToString()

  Test of toString method, of class org.apache.torque.om.ComboKey.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 The Apache Software Foundation. All Rights Reserved.